## JavaScript 调试扩展

配置模板 (默认值)
```json
{
    "version": "0.0.1",
    "configurations": [
        {
            "type": "topjs",
            "request": "launch",
            "name": "Launch Debugger",
            "port": "30992",
            "runtimeExecutable": "topjs3",
            "program": "${workspaceFolder}/${command:getProgramPath}"
        }
    ]
}
```
可定制的字段有`port`, `runtimeExecutable`和`program`。

- `port`为任意未占用的端口号。

- `runtimeExecutable`为JavaScript引擎路径(如果没有在环境变量中)

- `program`会获取当前tab打开的文件的路径，`${workspaceFolder}`表示当前的工作目录，你也可以指定脚本的绝对路径。

---

截图

![screenshot](./assets/screenshot.jpg)